import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ColumnConfig } from '../column-config.model';
import * as i0 from "@angular/core";
export declare class ColumnSelectorComponent implements OnInit {
    label: string;
    mode: 'selector' | 'icon';
    columnConfigs: ColumnConfig[];
    selectedColumns: ColumnConfig[];
    selectedColumnsChange: EventEmitter<ColumnConfig[]>;
    displayedColumnsChange: EventEmitter<string[]>;
    columnSelector: FormControl;
    search: FormControl<string>;
    get availableColumns(): ColumnConfig[];
    get displayedColumns(): ColumnConfig[];
    get displayedColumnDefs(): string[];
    get filteredColumns(): ColumnConfig[];
    get sortedColumns(): ColumnConfig[];
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnSelectorComponent, "app-column-selector", never, { "label": { "alias": "label"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "columnConfigs": { "alias": "columnConfigs"; "required": false; }; "selectedColumns": { "alias": "selectedColumns"; "required": false; }; }, { "selectedColumnsChange": "selectedColumnsChange"; "displayedColumnsChange": "displayedColumnsChange"; }, never, never, false, never>;
}
